/*   ----------- Carrusel -----------   */
/*Carousel*/


.carousel-caption{
  display: flex;
  flex-direction: column;
  justify-content: center; /* Centrar horizontalmente */
  align-items: left;/* Centrar verticalmente */
  text-align: left; 
  margin-bottom:5vh;/* Alinear el texto a la izquierda */
}

.tx-blancomiituo{
    color: white;
  }
  
  .carousel-item img {
    height: 70vh;
    object-fit: cover;
    object-position: center center;
  }

@media (max-width:768px){
    .carousel-item img{
      height: 45rem;
    }
  }
  /* Aplica el fondo semi transparente a la imagen del carrusel */
.carousel-item.overlay-bg::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.2); /* Ajusta la opacidad y el color */
}

  .bg-text-carousel{
    display: inline-block;
    background-color: var(--pinkmiituo); 
    padding: 5px;
    border-radius: 15px;
  }

  
  .carousel-indicators {
    list-style: none;
    bottom: 0;
    margin: 10px 0 0 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  
  .carousel-indicators [data-bs-target].active {
    background-color: #fff;
    opacity: 1;
  }
  
  .carousel-indicators [data-bs-target] {
    box-sizing: content-box;
    flex: 0 1 auto;
    width: 8px; 
    height: 8px; 
    padding: 0;
    margin-right: 3px;
    margin-left: 3px;
    margin-bottom: 5px;
    text-indent: -999px;
    cursor: pointer;
    background-color: #fff;
    background-clip: padding-box;
    border: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    opacity: .5;
    transition: opacity .6s ease;
    border-radius: 100%; 
  }
  .carousel-indicators [data-bs-target]:active {
    background-color: #6c757d;
  }
  
/*Descripcion*/

.description {
  overflow: hidden;
  color:white;
  line-height: 1.2em; 
  font-size: 1em;
  max-height: 2.4em; 
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
}

@media (max-width: 768px){
  .description {
      max-height: 3.6em; /* 3 líneas con una línea adicional como margen */
      -webkit-line-clamp: 3;
  }
}

.text-shadow{
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
}

  
  /*Autores*/ 
  .custom-post-meta {
    display: flex;
    align-items: center;
    font-size: 1.6rem;
  }
  
  @media (max-width: 768px) {
    .custom-post-meta {
      font-size: 1.2rem;
    }
  }
  
  .author-avatar img {
    display: block;
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 50%;
    margin-right: 10px; 
  }

  @media (max-width:768px){
    .author-avatar{
      width: 40px;
      height: 40px;
    }
  }
  
  .post-info {
    margin-top: 5px;
    display: flex;
    flex-direction: column;
  }
  .post-date{
    font-size: 10px;
    margin-top:0;
    margin: 0; 
    padding: 0; 
  }
  @media (max-width:768px){
    .post-date{
      font-size: 8px;
    }
  }
  .post-author{
    font-size: 14px;
    margin-bottom:0;
    margin: 0; 
    padding: 0; 
  }

  @media (max-width:768px){
    .post-author{
      font-size: 12px;
    }
  }

.t-movil{
  color: var(--graymiituo) !important; 
}
  @media (max-width:768px) {
    .t-movil {
      font-size: 1.8rem;
    }
  }

.author-details {
  display: flex;
  align-items: center;
}

.author-avatar {
  margin-right: 5px;
}

.author-info {
  display: flex;
  flex-direction: column;
}


  /*   ---------------------- Categorias ----------------- */
  
.category-menu{
    display: flex;
    justify-content:left;
  }
  
  @media (min-width:1401px) {
    .category-menu .category-btn{
      width: 150px; 
      height: 80px;
    }
  }
  
  @media (max-width:768px) {
    .category-menu .category-btn {
      width: 100px; 
      height: 60px;
      font-size: 12px;
    }
  }
  
  @media (max-width:500px) {
    .category-menu .category-btn {
      width: 80px; 
      height: 50px;
      font-size: 10px;
    }
  }
  
  @media (max-width:400px) {
    .category-menu .category-btn{
      width: 70px; 
      height: 40px;
      font-size: 8px;
      border-radius: 5px;
    }
  }


  .category-btn {
      width: 120px; 
      height: 70px;
      background-color: transparent;
      margin-top: 3rem;
      margin-right: 5px;
      margin-left: 5px;
      border: 1px solid #707a8d;
      border-radius: 10px;
      color: #707a8d;
      text-align: center;
      text-decoration: none;
      font-size: 15px;
      cursor: pointer;
      transition-duration: 0.4s;
    }
    @media (max-width: 991.98px){
      .category-btn{
        margin-top:2rem;
        margin-right: 2.5px;
        margin-left: 2.5px;
      }
    }
    
    .category-btn:hover {
      box-shadow: 0 0 5px rgba(0, 0, 0, 0.3); 
      transform: translate3d(0,-2px,0);
      -webkit-transform: translate3d(0,-2px,0);
    }
  
    .category-btn.active {
      background-color: #D7D2CB;
      color: white; 
      border:none;
    }
  
  
  .more-articles-container[cols="2"] .categories-post-item .row > div {
      width: 100%;
  }
  
  /*boton ver mas*/
  .btn-view{
    margin-bottom: 2.5rem;
    margin-top: 1.5rem;
  }
  .btn-get-more-articles{
    border-radius: 20px;
    border: solid 1px var(--bluemiituo);
    font-size: 12px;
    background-color: white;
    box-shadow: 0 2px 4px rgba(0, 200, 255, 0.4);
    padding: 10px 50px;
  }
  
  .btn-get-more-articles:hover{
      transform: translate3d(0,-2px,0);
      -webkit-transform: translate3d(0,-2px,0);
  }
  
  @media (max-width:768px){
    .btn-get-more-articles{
      font-size: 10px;
    }
  }



